%define gitver %(echo %version | tr . _)
Name:          gnustep-make
Version:       2.9.3
Release:       1mamba
Summary:       A simple, powerful and extensible way to write makefiles for a GNUstep-based project
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gnustep.github.io/
Source:        https://github.com/gnustep/tools-make.git/make-%{gitver}/tools-make-%{version}.tar.bz2
Source1:       gnustep-make-macros.gnustep
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
The makefile package is a simple, powerful and extensible way to write makefiles for a GNUstep-based project.
It allows the user to write a project without having to deal with the complex issues associated with configuration, building, installation, and packaging.
It also allows the user to easily create cross-compiled binaries.

%define debug_package %{nil}

%prep
%setup -q -n tools-make-%{version}
# /usr/share/GNUstep/Makefiles/config-noarch.make and
# /usr/share/GNUstep/Makefiles/ix86/linux-gnu/gnu-gnu-gnu/config.make
# are spoiling a pure /usr/share install
sed -i "s|=/share/GNUstep/Makefiles|=/%{_lib}/GNUstep/Makefiles|" \
    FilesystemLayouts/fhs-system

%build
%configure \
   --with-libdir=%{_lib} \
   --with-layout=fhs-system \
   --enable-flattened

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0644 %{SOURCE1} %{buildroot}%{_rpmmacrodir}/macros.gnustep

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/GNUstep/GNUstep.conf
%{_rpmmacrodir}/macros.gnustep
%{_bindir}/debugapp
%{_bindir}/gnustep-config
%{_bindir}/gnustep-tests
%{_bindir}/openapp
%{_bindir}/opentool
%dir %{_libdir}/GNUstep/Makefiles
%{_libdir}/GNUstep/Makefiles/*
%{_mandir}/man1/debugapp.1*
%{_mandir}/man1/gnustep-config.1*
%{_mandir}/man1/gnustep-tests.1*
%{_mandir}/man1/openapp.1*
%{_mandir}/man1/opentool.1*
%{_mandir}/man7/GNUstep.7*
%{_mandir}/man7/library-combo.7*
%doc COPYING

%changelog
* Wed Feb 12 2025 Automatic Build System <autodist@openmamba.org> 2.9.3-1mamba
- automatic version update by autodist

* Sun Jun 23 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.2-2mamba
- fix libdir for 64 bits archs

* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 2.9.2-1mamba
- automatic version update by autodist

* Mon Jan 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.1-1mamba
- update to 2.9.1

* Fri May 07 2021 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Sat Jan 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-1mamba
- package created using the webbuild interface
